perl-Path-Tiny-0.104.0-1.mga6.noarch.rpm


Advertisement

Description

perl-Path-Tiny - File path utility

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package filename perl-Path-Tiny-0.104.0-1.mga6.noarch.rpm
Package name perl-Path-Tiny
Package version 0.104.0
Package release 1.mga6
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://metacpan.org/release/Path-Tiny
License GPL+ or Artistic
Maintainer -
Download size 62.50 KB
Installed size 205.76 KB
This module attempts to provide a small, fast utility for working with file
paths. It is friendlier to use than the File::Spec manpage and provides
easy access to functions from several other core file handling modules.
It doesn't attempt to be as full-featured as the IO::All manpage or the
Path::Class manpage, nor does it try to work for anything except Unix-like
and Win32 platforms. Even then, it might break if you try something
particularly obscure or tortuous. (Quick! What does this mean:
'///../../..//./././a//b/.././c/././'? And how does it differ on Win32?)
All paths are forced to have Unix-style forward slashes. Stringifying the
object gives you back the path (after some clean up).

Alternatives

Package Version Architecture Repository
perl-Path-Tiny-0.104.0-1.mga6.noarch.rpm 0.104.0 noarch Mageia Core
perl-Path-Tiny - - -

Requires

Name Value
perl >= 0:5.008001
perl(Carp) -
perl(Config) -
perl(Cwd) -
perl(Digest) >= 1.30.0
perl(Digest::SHA) >= 5.450.0
perl(Exporter) >= 5.570.0
perl(Fcntl) -
perl(File::Copy) -
perl(File::Glob) -
perl(File::Path) >= 2.70.0
perl(File::Spec) >= 0.860.0
perl(File::Temp) >= 0.190.0
perl(File::stat) -
perl(constant) -
perl(if) -
perl(overload) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.22.3

Provides

Name Value
perl(Path::Tiny) == 0.104.0
perl(Path::Tiny::Error) -
perl-Path-Tiny == 0.104.0-1.mga6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-Path-Tiny-0.104.0-1.mga6.noarch.rpm
Source Package perl-Path-Tiny-0.104.0-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Path-Tiny rpm package:
    # urpmi perl-Path-Tiny

Files

Path
/usr/lib/perl5/vendor_perl/5.22.3/Path/Tiny.pm
/usr/share/doc/perl-Path-Tiny/Changes
/usr/share/doc/perl-Path-Tiny/LICENSE
/usr/share/doc/perl-Path-Tiny/META.json
/usr/share/doc/perl-Path-Tiny/META.yml
/usr/share/doc/perl-Path-Tiny/MYMETA.yml
/usr/share/doc/perl-Path-Tiny/README
/usr/share/man/man3/Path::Tiny.3pm.xz

Changelog

2017-02-22 - shlomif <shlomif> 0.104.0-1.mga6
+ Revision: 1087302
- New version 0.104 with some fixes + spec modernization.
2016-12-28 - shlomif <shlomif> 0.98.0-1.mga6
+ Revision: 1078531
- New version 0.098 - bug fixes and new features.
2016-06-19 - pterjan <pterjan> 0.84.0-2.mga6
+ Revision: 1031910
- Rebuild for perl 5.22.2
2016-03-13 - shlomif <shlomif> 0.84.0-1.mga6
+ Revision: 989840
- update to 0.084
2016-01-16 - shlomif <shlomif> 0.76.0-1.mga6
+ Revision: 923908
- update to 0.076
2015-07-23 - sander85 <sander85> 0.72.0-1.mga6
+ Revision: 856519
- update to 0.072
2015-07-06 - sander85 <sander85> 0.70.0-1.mga6
+ Revision: 851889
- update to 0.070
2015-06-22 - sander85 <sander85> 0.68.0-1.mga6
+ Revision: 839437
- update to 0.068
2014-10-18 - umeabot <umeabot> 0.56.0-4.mga5
+ Revision: 788052
- Rebuild to potentially add missing dependencies
2014-10-15 - umeabot <umeabot> 0.56.0-3.mga5
+ Revision: 742335
- Second Mageia 5 Mass Rebuild

See Also

Package Description
perl-PathTools-3.620.0-2.mga6.x86_64.rpm Tools for working with paths and file specs across platforms
perl-Pegex-0.600.0-3.mga6.noarch.rpm Pegex Regex Atoms
perl-Perl-AtEndOfScope-0.30.0-7.mga6.noarch.rpm Perl::AtEndOfScope - run some code when a variable goes out of scope
perl-Perl-Critic-1.126.0-3.mga6.noarch.rpm Critique Perl source for style and standards
perl-Perl-Critic-Bangs-1.100.0-8.mga6.noarch.rpm Adding modifiers to a regular expression made up entirely of a variable created with qr() is usually not doing what you expect
perl-Perl-Critic-Compatibility-1.1.0-7.mga6.noarch.rpm Don't allow three-argument open unless the code uses a version of perl that supports it
perl-Perl-Critic-Deprecated-1.119.0-5.mga6.noarch.rpm Write C<$my_variable = 42> instead of C<$MyVariable = 42>
perl-Perl-Critic-Lax-0.11.0-6.mga6.noarch.rpm Policies that let you slide on common exceptions
perl-Perl-Critic-More-1.3.0-5.mga6.noarch.rpm Stop mixing long strings with code
perl-Perl-Critic-Nits-1.0.0-7.mga6.noarch.rpm Policies of nits I like to pick
perl-Perl-Critic-PetPeeves-JTRAMMELL-0.40.0-7.mga6.noarch.rpm Prohibit superfluous initializations
perl-Perl-Critic-Pulp-90.0.0-3.mga6.noarch.rpm Don't use Foo:: style barewords
perl-Perl-Critic-Storable-0.10.0-7.mga6.noarch.rpm Perl::Critic policy for using Storable
perl-Perl-Critic-StricterSubs-0.50.0-3.mga6.noarch.rpm Perl::Critic plugin for stricter subroutine checks
perl-Perl-Critic-Swift-1.0.3-7.mga6.noarch.rpm Additional policies for Perl::Critic
Advertisement
Advertisement